koan crashed with ImportError in __main__: No module named koan.app

Bug #731616 reported by Andres Rodriguez on 2011-03-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cobbler (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: cobbler

After installing koan only, the following error was found:

$ koan
Traceback (most recent call last):
  File "/usr/bin/koan", line 18, in <module>
    import koan.app as app
ImportError: No module named koan.app

The was fixed after installing "python-cobbler", however, I believe that python-cobbler should not ship koan's modules, as they belong only koan and not to cobbler.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: koan 2.1.0~bzr2002-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
NonfreeKernelModules: nvidia wl
Architecture: amd64
Date: Tue Mar 8 16:12:24 2011
ExecutablePath: /usr/bin/koan
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release Candidate amd64 (20091020.3)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/koan
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LANGUAGE=en_US:en
PythonArgs: ['/usr/bin/koan']
SourcePackage: cobbler
Title: koan crashed with ImportError in __main__: No module named koan.app
Traceback:
 Traceback (most recent call last):
   File "/usr/bin/koan", line 18, in <module>
     import koan.app as app
 ImportError: No module named koan.app
UpgradeStatus: Upgraded to natty on 2011-02-01 (34 days ago)
UserGroups: adm admin cdrom dialout kvm libvirtd lpadmin plugdev sambashare

Related branches

Andres Rodriguez (andreserl) wrote :
Changed in cobbler (Ubuntu):
status: New → Confirmed
assignee: nobody → Andres Rodriguez (andreserl)
tags: removed: need-duplicate-check
visibility: private → public
Changed in cobbler (Ubuntu):
importance: Undecided → Low
Changed in cobbler (Ubuntu):
status: Confirmed → Fix Committed
assignee: Andres Rodriguez (andreserl) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cobbler - 2.1.0~bzr2005-0ubuntu1

---------------
cobbler (2.1.0~bzr2005-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * New upstream release

  [Andres Rodriguez]
  * Add python-koan package (LP: #731616):
    - debian/control: Add python-koan binary package; fix typo
    - debian/python-cobbler.install: Do not install koan python modules.
    - debian/python-koan.install: Add. Install koan python modules.
 -- Chuck Short <email address hidden> Fri, 11 Mar 2011 07:59:55 -0500

Changed in cobbler (Ubuntu):
status: Fix Committed → Fix Released
Andres Rodriguez (andreserl) wrote :

Unfortunately, for an import error the python-koan package was not really created and currently the koan fails to install as it cannot find the python-koan packages.

Setting this bug to confirmed.

Will be uploading a fix for it soon

Changed in cobbler (Ubuntu):
status: Fix Released → Confirmed
importance: Low → Wishlist
importance: Wishlist → Medium
importance: Medium → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cobbler - 2.1.0-0ubuntu3

---------------
cobbler (2.1.0-0ubuntu3) natty; urgency=low

  [ Andres Rodriguez ]
  * Really create/install python-koan binary package, LP: #731616
    - debian/control: Add binary package. Depend on python-ethtool.
    - debian/python-koan.install: Install koan python modules.
  * debian/patches/35_fix_hardlink_bin_path.patch:
    - Fix hardlink tool bin path and arguments as hardlink in Ubuntu/Debian
      is a different tool from other distros (Fedora/RHEL).

  [ Dustin Kirkland]
  * debian/cobbler.templates, debian/cobbler.config, debian/cobbler.postinst:
    - add a debconf question for the cobbler user's password
    - update the cobbler/admin user's password in cobbler/settings
  * debian/control:
    - depend on openssl, which we use to update the password in cobbler/settings
  * debian/patches/33_authn_configfile.patch:
    - move from denyall to configfile authentication now that the password
      is debconf-managed; makes cobbler work out of the box, LP: #741661
  * debian/patches/34_fix_apache_wont_start.patch:
    - comment out line that's causing Apache to fail to start, LP: #741661
  * debian/cobbler.postinst, debian/cobbler.postrm:
    - fix installation errors associated with restarting apache2 here
    - a2enmod wsgi
  * debian/cobbler-web.dirs, debian/cobbler-web.postinst:
    - must create/chown web sessions directory to www-data for the web ui
      to be usable, LP: #741661
 -- Dustin Kirkland <email address hidden> Mon, 04 Apr 2011 12:55:44 -0500

Changed in cobbler (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers